# Projects

Manage projects within workspaces

 - [GET /projects](https://api-docs.webwork-tracker.com/api/projects/getprojects.md): Retrieve all projects in your workspace. Projects are automatically filtered based on your role and permissions. **Role-based access**: Owners and Executive Managers see all projects; Project Managers
 - [POST /projects](https://api-docs.webwork-tracker.com/api/projects/createproject.md): Create a new project in your workspace. This endpoint is only accessible to Owners and Executive Managers.
 - [GET /projects/{projectId}](https://api-docs.webwork-tracker.com/api/projects/getproject.md): Retrieve detailed information about a specific project in your workspace. Projects are filtered based on your role and permissions. Response includes a read-only `custom_fields` array of `{id, name, t
 - [PUT /projects/{projectId}](https://api-docs.webwork-tracker.com/api/projects/updateproject.md): Update an existing project in your workspace. This endpoint is only accessible to Owners and Executive Managers.
 - [DELETE /projects/{projectId}](https://api-docs.webwork-tracker.com/api/projects/deleteproject.md): Delete (archive) a project from your workspace. This is a soft delete - the project can be restored later if needed. This endpoint is only accessible to Owners and Executive Managers.
